function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = sw_dynarecode.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(40, 79);
g1(1,29)=(-params(6));
g1(1,36)=(-(1-params(6)));
g1(1,50)=1;
g1(2,28)=1;
g1(2,29)=(-T(3));
g1(3,29)=1;
g1(3,30)=1;
g1(3,35)=(-1);
g1(3,36)=(-1);
g1(4,28)=(-1);
g1(4,30)=1;
g1(4,17)=(-1);
g1(5,31)=(-(T(9)*1/T(11)));
g1(5,2)=(-T(9));
g1(5,33)=1;
g1(5,64)=(-(T(8)*T(9)));
g1(5,53)=(-1);
g1(6,61)=(-((T(5)-(1-params(9)))/T(5)));
g1(6,31)=1;
g1(6,62)=(-((1-params(9))/T(5)));
g1(6,37)=1;
g1(6,51)=(-(1/T(13)));
g1(7,1)=(-(T(12)/(1+T(12))));
g1(7,32)=1;
g1(7,63)=(-(1/(1+T(12))));
g1(7,35)=(-T(14));
g1(7,65)=T(14);
g1(7,37)=T(13);
g1(7,51)=(-1);
g1(8,28)=(-((T(5)-(1-params(9)))*T(7)));
g1(8,32)=(-(1-params(36)-T(1)*T(6)*T(7)));
g1(8,33)=(-(T(1)*T(6)*T(7)));
g1(8,34)=1;
g1(8,52)=(-1);
g1(9,30)=(-(params(14)*params(6)));
g1(9,34)=1;
g1(9,35)=(-(params(14)*(1-params(6))));
g1(9,50)=(-params(14));
g1(10,1)=T(16);
g1(10,32)=(-T(15));
g1(10,35)=(-params(19));
g1(10,36)=1;
g1(11,33)=(-T(6));
g1(11,53)=(-(T(6)*T(11)));
g1(11,17)=(-(1-T(6)));
g1(11,57)=1;
g1(12,38)=1;
g1(12,40)=(-params(6));
g1(12,48)=(-(1-params(6)));
g1(12,50)=1;
g1(13,39)=1;
g1(13,40)=(-T(3));
g1(14,40)=1;
g1(14,41)=1;
g1(14,46)=(-1);
g1(14,48)=(-1);
g1(15,39)=(-1);
g1(15,41)=1;
g1(15,18)=(-1);
g1(16,42)=(-(T(9)*1/T(11)));
g1(16,5)=(-T(9));
g1(16,44)=1;
g1(16,69)=(-(T(8)*T(9)));
g1(16,53)=(-1);
g1(17,66)=(-((T(5)-(1-params(9)))/T(5)));
g1(17,42)=1;
g1(17,67)=(-((1-params(9))/T(5)));
g1(17,71)=(-1);
g1(17,49)=1;
g1(17,51)=(-(1/T(13)));
g1(18,4)=(-(T(12)/(1+T(12))));
g1(18,43)=1;
g1(18,68)=(-(1/(1+T(12))));
g1(18,46)=(-T(14));
g1(18,70)=T(14);
g1(18,71)=(-T(13));
g1(18,49)=T(13);
g1(18,51)=(-1);
g1(19,39)=(-((T(5)-(1-params(9)))*T(7)));
g1(19,43)=(-(1-params(36)-T(1)*T(6)*T(7)));
g1(19,44)=(-(T(1)*T(6)*T(7)));
g1(19,45)=1;
g1(19,52)=(-1);
g1(20,41)=(-(params(14)*params(6)));
g1(20,45)=1;
g1(20,46)=(-(params(14)*(1-params(6))));
g1(20,50)=(-params(14));
g1(21,38)=(-(T(17)*T(18)));
g1(21,7)=(-(params(17)*T(17)));
g1(21,47)=1;
g1(21,71)=(-(T(8)*T(17)));
g1(21,55)=(-1);
g1(22,4)=(-(T(19)*(-T(16))));
g1(22,43)=(-(T(15)*T(19)));
g1(22,46)=(-(params(19)*T(19)));
g1(22,7)=(-(params(15)/(1+T(8))));
g1(22,47)=(1+params(15)*T(8))/(1+T(8));
g1(22,71)=(-(T(8)/(1+T(8))));
g1(22,8)=(-T(9));
g1(22,48)=1+T(19);
g1(22,72)=(-(T(8)/(1+T(8))));
g1(22,56)=(-1);
g1(23,3)=(-params(23));
g1(23,34)=(-((-((1-params(25))*params(24)))-params(23)));
g1(23,6)=params(23);
g1(23,45)=(-((1-params(25))*params(24)+params(23)));
g1(23,47)=(-(params(22)*(1-params(25))));
g1(23,9)=(-params(25));
g1(23,49)=1;
g1(23,54)=(-1);
g1(24,10)=(-params(26));
g1(24,50)=1;
g1(24,73)=(-1);
g1(25,11)=(-params(27));
g1(25,51)=1;
g1(25,74)=(-1);
g1(26,12)=(-params(28));
g1(26,52)=1;
g1(26,75)=(-1);
g1(27,13)=(-params(29));
g1(27,53)=1;
g1(27,76)=(-1);
g1(28,14)=(-params(30));
g1(28,54)=1;
g1(28,77)=(-1);
g1(29,15)=(-params(31));
g1(29,55)=1;
g1(29,78)=(-1);
g1(29,19)=params(34);
g1(30,16)=(-params(32));
g1(30,56)=1;
g1(30,79)=(-1);
g1(30,20)=params(33);
g1(31,44)=(-T(6));
g1(31,53)=(-(params(8)*T(6)*T(10)));
g1(31,18)=(-(1-T(6)));
g1(31,58)=1;
g1(32,24)=1;
g1(32,6)=1;
g1(32,45)=(-1);
g1(33,25)=1;
g1(33,4)=1;
g1(33,43)=(-1);
g1(34,26)=1;
g1(34,5)=1;
g1(34,44)=(-1);
g1(35,27)=1;
g1(35,8)=1;
g1(35,48)=(-1);
g1(36,23)=1;
g1(36,47)=(-1);
g1(37,22)=1;
g1(37,49)=(-1);
g1(38,21)=1;
g1(38,46)=(-1);
g1(39,78)=(-1);
g1(39,59)=1;
g1(40,79)=(-1);
g1(40,60)=1;

end
