function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = sw_dynarecode.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(40, 1);
lhs = y(50);
rhs = params(6)*y(29)+(1-params(6))*y(36);
residual(1) = lhs - rhs;
lhs = y(28);
rhs = y(29)*T(3);
residual(2) = lhs - rhs;
lhs = y(29);
rhs = y(36)+y(35)-y(30);
residual(3) = lhs - rhs;
lhs = y(30);
rhs = y(28)+y(17);
residual(4) = lhs - rhs;
lhs = y(33);
rhs = y(53)+T(9)*(y(2)+y(64)*T(8)+y(31)*1/T(11));
residual(5) = lhs - rhs;
lhs = y(31);
rhs = y(51)*1/T(13)-y(37)+y(61)*(T(5)-(1-params(9)))/T(5)+y(62)*(1-params(9))/T(5);
residual(6) = lhs - rhs;
lhs = y(32);
rhs = y(51)+y(1)*T(12)/(1+T(12))+y(63)*1/(1+T(12))+(y(35)-y(65))*T(14)-y(37)*T(13);
residual(7) = lhs - rhs;
lhs = y(34);
rhs = y(52)+y(32)*(1-params(36)-T(1)*T(6)*T(7))+y(33)*T(1)*T(6)*T(7)+y(28)*(T(5)-(1-params(9)))*T(7);
residual(8) = lhs - rhs;
lhs = y(34);
rhs = params(14)*(y(50)+params(6)*y(30)+(1-params(6))*y(35));
residual(9) = lhs - rhs;
lhs = y(36);
rhs = y(35)*params(19)+y(32)*T(15)-y(1)*T(16);
residual(10) = lhs - rhs;
lhs = y(57);
rhs = y(17)*(1-T(6))+y(33)*T(6)+y(53)*T(6)*T(11);
residual(11) = lhs - rhs;
lhs = y(38);
rhs = params(6)*y(40)+(1-params(6))*y(48)-y(50);
residual(12) = lhs - rhs;
lhs = y(39);
rhs = T(3)*y(40);
residual(13) = lhs - rhs;
lhs = y(40);
rhs = y(48)+y(46)-y(41);
residual(14) = lhs - rhs;
lhs = y(41);
rhs = y(39)+y(18);
residual(15) = lhs - rhs;
lhs = y(44);
rhs = y(53)+T(9)*(y(5)+y(69)*T(8)+y(42)*1/T(11));
residual(16) = lhs - rhs;
lhs = y(42);
rhs = y(71)-y(49)+y(51)*1/T(13)+y(66)*(T(5)-(1-params(9)))/T(5)+y(67)*(1-params(9))/T(5);
residual(17) = lhs - rhs;
lhs = y(43);
rhs = y(51)+y(4)*T(12)/(1+T(12))+y(68)*1/(1+T(12))+(y(46)-y(70))*T(14)-(y(49)-y(71))*T(13);
residual(18) = lhs - rhs;
lhs = y(45);
rhs = y(52)+y(43)*(1-params(36)-T(1)*T(6)*T(7))+y(44)*T(1)*T(6)*T(7)+y(39)*(T(5)-(1-params(9)))*T(7);
residual(19) = lhs - rhs;
lhs = y(45);
rhs = params(14)*(y(50)+params(6)*y(41)+(1-params(6))*y(46));
residual(20) = lhs - rhs;
lhs = y(47);
rhs = y(55)+T(17)*(params(17)*y(7)+y(71)*T(8)+y(38)*T(18));
residual(21) = lhs - rhs;
lhs = y(48);
rhs = y(56)+y(8)*T(9)+y(72)*T(8)/(1+T(8))+y(7)*params(15)/(1+T(8))-y(47)*(1+params(15)*T(8))/(1+T(8))+y(71)*T(8)/(1+T(8))+T(19)*(params(19)*y(46)+y(43)*T(15)-y(4)*T(16)-y(48));
residual(22) = lhs - rhs;
lhs = y(49);
rhs = y(47)*params(22)*(1-params(25))+(1-params(25))*params(24)*(y(45)-y(34))+params(23)*(y(45)-y(34)-y(6)+y(3))+params(25)*y(9)+y(54);
residual(23) = lhs - rhs;
lhs = y(50);
rhs = params(26)*y(10)+x(it_, 1);
residual(24) = lhs - rhs;
lhs = y(51);
rhs = params(27)*y(11)+x(it_, 2);
residual(25) = lhs - rhs;
lhs = y(52);
rhs = params(28)*y(12)+x(it_, 3);
residual(26) = lhs - rhs;
lhs = y(53);
rhs = params(29)*y(13)+x(it_, 4);
residual(27) = lhs - rhs;
lhs = y(54);
rhs = params(30)*y(14)+x(it_, 5);
residual(28) = lhs - rhs;
lhs = y(55);
rhs = params(31)*y(15)+x(it_, 6)-params(34)*y(19);
residual(29) = lhs - rhs;
lhs = y(56);
rhs = params(32)*y(16)+x(it_, 7)-params(33)*y(20);
residual(30) = lhs - rhs;
lhs = y(58);
rhs = y(18)*(1-T(6))+y(44)*T(6)+y(53)*params(8)*T(6)*T(10);
residual(31) = lhs - rhs;
lhs = y(24);
rhs = params(35)+y(45)-y(6);
residual(32) = lhs - rhs;
lhs = y(25);
rhs = params(35)+y(43)-y(4);
residual(33) = lhs - rhs;
lhs = y(26);
rhs = params(35)+y(44)-y(5);
residual(34) = lhs - rhs;
lhs = y(27);
rhs = params(35)+y(48)-y(8);
residual(35) = lhs - rhs;
lhs = y(23);
rhs = params(4)+y(47);
residual(36) = lhs - rhs;
lhs = y(22);
rhs = y(49)+100*((1+params(4)/100)/T(4)-1);
residual(37) = lhs - rhs;
lhs = y(21);
rhs = y(46)+params(3);
residual(38) = lhs - rhs;
lhs = y(59);
rhs = x(it_, 6);
residual(39) = lhs - rhs;
lhs = y(60);
rhs = x(it_, 7);
residual(40) = lhs - rhs;

end
