function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = sw_dynarecode.static_resid_tt(T, y, x, params);
end
residual = zeros(40, 1);
lhs = y(30);
rhs = params(6)*y(9)+(1-params(6))*y(16);
residual(1) = lhs - rhs;
lhs = y(8);
rhs = y(9)*T(8);
residual(2) = lhs - rhs;
lhs = y(9);
rhs = y(16)+y(15)-y(10);
residual(3) = lhs - rhs;
lhs = y(10);
rhs = y(8)+y(37);
residual(4) = lhs - rhs;
lhs = y(13);
rhs = y(33)+T(10)*(y(13)+y(13)*T(9)+y(11)*1/T(12));
residual(5) = lhs - rhs;
lhs = y(11);
rhs = y(31)*1/T(14)-y(17)+y(9)*(T(4)-(1-params(9)))/T(4)+y(11)*(1-params(9))/T(4);
residual(6) = lhs - rhs;
lhs = y(12);
rhs = y(31)+y(12)*T(13)/(1+T(13))+y(12)*1/(1+T(13))-T(14)*y(17);
residual(7) = lhs - rhs;
lhs = y(14);
rhs = y(32)+(1-params(36)-T(7))*y(12)+T(7)*y(13)+(T(4)-(1-params(9)))*T(6)*y(8);
residual(8) = lhs - rhs;
lhs = y(14);
rhs = params(14)*(y(30)+params(6)*y(10)+(1-params(6))*y(15));
residual(9) = lhs - rhs;
lhs = y(16);
rhs = y(15)*params(19)+y(12)*1/(1-T(13))-y(12)*T(13)/(1-T(13));
residual(10) = lhs - rhs;
lhs = y(37);
rhs = y(37)*(1-T(5))+T(5)*y(13)+y(33)*T(5)*T(12);
residual(11) = lhs - rhs;
lhs = y(18);
rhs = params(6)*y(20)+(1-params(6))*y(28)-y(30);
residual(12) = lhs - rhs;
lhs = y(19);
rhs = T(8)*y(20);
residual(13) = lhs - rhs;
lhs = y(20);
rhs = y(28)+y(26)-y(21);
residual(14) = lhs - rhs;
lhs = y(21);
rhs = y(19)+y(38);
residual(15) = lhs - rhs;
lhs = y(24);
rhs = y(33)+T(10)*(y(24)+T(9)*y(24)+1/T(12)*y(22));
residual(16) = lhs - rhs;
lhs = y(22);
rhs = y(31)*1/T(14)+y(27)-y(29)+(T(4)-(1-params(9)))/T(4)*y(20)+(1-params(9))/T(4)*y(22);
residual(17) = lhs - rhs;
lhs = y(23);
rhs = y(31)+T(13)/(1+T(13))*y(23)+1/(1+T(13))*y(23)-T(14)*(y(29)-y(27));
residual(18) = lhs - rhs;
lhs = y(25);
rhs = y(32)+(1-params(36)-T(7))*y(23)+T(7)*y(24)+(T(4)-(1-params(9)))*T(6)*y(19);
residual(19) = lhs - rhs;
lhs = y(25);
rhs = params(14)*(y(30)+params(6)*y(21)+(1-params(6))*y(26));
residual(20) = lhs - rhs;
lhs = y(27);
rhs = y(35)+1/(1+T(9)*params(17))*(y(27)*params(17)+T(9)*y(27)+y(18)*T(15));
residual(21) = lhs - rhs;
lhs = y(28);
rhs = y(36)+T(10)*y(28)+y(28)*T(16)+y(27)*params(15)/(1+T(9))-y(27)*(1+T(9)*params(15))/(1+T(9))+y(27)*T(16)+T(17)*(params(19)*y(26)+1/(1-T(13))*y(23)-T(13)/(1-T(13))*y(23)-y(28));
residual(22) = lhs - rhs;
lhs = y(29);
rhs = y(27)*params(22)*(1-params(25))+(1-params(25))*params(24)*(y(25)-y(14))+params(23)*(y(14)+y(25)-y(14)-y(25))+y(29)*params(25)+y(34);
residual(23) = lhs - rhs;
lhs = y(30);
rhs = y(30)*params(26)+x(1);
residual(24) = lhs - rhs;
lhs = y(31);
rhs = y(31)*params(27)+x(2);
residual(25) = lhs - rhs;
lhs = y(32);
rhs = y(32)*params(28)+x(3);
residual(26) = lhs - rhs;
lhs = y(33);
rhs = y(33)*params(29)+x(4);
residual(27) = lhs - rhs;
lhs = y(34);
rhs = y(34)*params(30)+x(5);
residual(28) = lhs - rhs;
lhs = y(35);
rhs = y(35)*params(31)+x(6)-x(6)*params(34);
residual(29) = lhs - rhs;
lhs = y(36);
rhs = y(36)*params(32)+x(7)-x(7)*params(33);
residual(30) = lhs - rhs;
lhs = y(38);
rhs = (1-T(5))*y(38)+T(5)*y(24)+y(33)*params(8)*T(5)*T(11);
residual(31) = lhs - rhs;
lhs = y(4);
rhs = params(35);
residual(32) = lhs - rhs;
lhs = y(5);
rhs = params(35);
residual(33) = lhs - rhs;
lhs = y(6);
rhs = params(35);
residual(34) = lhs - rhs;
lhs = y(7);
rhs = params(35);
residual(35) = lhs - rhs;
lhs = y(3);
rhs = params(4)+y(27);
residual(36) = lhs - rhs;
lhs = y(2);
rhs = 100*((1+params(4)/100)/T(3)-1)+y(29);
residual(37) = lhs - rhs;
lhs = y(1);
rhs = y(26)+params(3);
residual(38) = lhs - rhs;
lhs = y(39);
rhs = x(6);
residual(39) = lhs - rhs;
lhs = y(40);
rhs = x(7);
residual(40) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
